*** empty log message ***
authorroot <root>
Wed, 1 Dec 2004 02:29:14 +0000 (02:29 +0000)
committerroot <root>
Wed, 1 Dec 2004 02:29:14 +0000 (02:29 +0000)
autoconf/config.h.in
autoconf/configure.in
configure
doc/rxvt.1.pod
src/rxvtfont.C

index d39e526..151f8ef 100644 (file)
-/* autoconf/config.h.in.  Generated automatically from autoconf/configure.in by autoheader 2.13.  */
+/* autoconf/config.h.in.  Generated from autoconf/configure.in by autoheader.  */
 
-/* Define if on AIX 3.
-   System headers sometimes define this.
-   We just want to avoid a redefinition error message.  */
-#ifndef _ALL_SOURCE
-#undef _ALL_SOURCE
-#endif
-
-/* Define to empty if the keyword does not work.  */
-#undef const
+/* Define if you want blinking cursor support */
+#undef CURSOR_BLINK
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
-#undef gid_t
+/* Define if you want 8 bit control sequences */
+#undef EIGHT_BIT_CONTROLS
 
-/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
-#undef HAVE_SYS_WAIT_H
+/* Define if you want to automatically compose combining characters */
+#undef ENABLE_COMBINING
 
-/* Define as __inline if that's what the C compiler calls it.  */
-#undef inline
+/* Define if you want handling for rarely used but handy features */
+#undef ENABLE_FRILLS
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
-#undef mode_t
+/* Define if you want bold and italic support */
+#undef ENABLE_STYLES
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
-#undef pid_t
+/* Define if you want european extended codesets */
+#undef ENCODING_EU
 
-/* Define if you need to in order for stat and other things to work.  */
-#undef _POSIX_SOURCE
+/* Define if you want japanese codesets */
+#undef ENCODING_JP
 
-/* Define as the return type of signal handlers (int or void).  */
-#undef RETSIGTYPE
+/* Define if you want extended japanese codesets */
+#undef ENCODING_JP_EXT
 
-/* Define if you have the ANSI C header files.  */
-#undef STDC_HEADERS
+/* Define if you want korean codesets */
+#undef ENCODING_KR
 
-/* Define if you can safely include both <sys/time.h> and <time.h>.  */
-#undef TIME_WITH_SYS_TIME
+/* Define if you want vietnamese codesets */
+#undef ENCODING_VN
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
-#undef uid_t
+/* Define if you want chinese codesets */
+#undef ENCODING_ZH
 
-/* Define if the X Window System is missing or not being used.  */
-#undef X_DISPLAY_MISSING
+/* Define if you want extended chinese codesets */
+#undef ENCODING_ZH_EXT
 
-/* The number of bytes in a char.  */
-#undef SIZEOF_CHAR
+/* Define if you want the depth of scrollbars and menus to be less */
+#undef HALFSHADOW
 
-/* The number of bytes in a int.  */
-#undef SIZEOF_INT
+/* Define to 1 if you have the <assert.h> header file. */
+#undef HAVE_ASSERT_H
 
-/* The number of bytes in a int *.  */
-#undef SIZEOF_INT_P
+/* Define to 1 if you have the `atexit' function. */
+#undef HAVE_ATEXIT
 
-/* The number of bytes in a long.  */
-#undef SIZEOF_LONG
+/* Define to 1 if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
 
-/* The number of bytes in a long long.  */
-#undef SIZEOF_LONG_LONG
+/* Define to 1 if you have the <fcntl.h> header file. */
+#undef HAVE_FCNTL_H
 
-/* The number of bytes in a short.  */
-#undef SIZEOF_SHORT
+/* Define if you have _GNU_SOURCE getpt() */
+#undef HAVE_GETPT
 
-/* Define if you have the _getpty function.  */
-#undef HAVE__GETPTY
+/* Define to 1 if you have the `grantpt' function. */
+#undef HAVE_GRANTPT
 
-/* Define if you have the atexit function.  */
-#undef HAVE_ATEXIT
+/* Define to 1 if you have the <grp.h> header file. */
+#undef HAVE_GRP_H
 
-/* Define if you have the grantpt function.  */
-#undef HAVE_GRANTPT
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
 
-/* Define if you have the isastream function.  */
+/* Define to 1 if you have the `isastream' function. */
 #undef HAVE_ISASTREAM
 
-/* Define if you have the nanosleep function.  */
+/* Define to 1 if you have the <lastlog.h> header file. */
+#undef HAVE_LASTLOG_H
+
+/* Define to 1 if you have the <libc.h> header file. */
+#undef HAVE_LIBC_H
+
+/* Define to 1 if you have the `Xft' library (-lXft). */
+#undef HAVE_LIBXFT
+
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* Define to 1 if you have the `nanosleep' function. */
 #undef HAVE_NANOSLEEP
 
-/* Define if you have the on_exit function.  */
+/* Define if nl_langinfo(CODESET) works */
+#undef HAVE_NL_LANGINFO
+
+/* Define to 1 if you have the `on_exit' function. */
 #undef HAVE_ON_EXIT
 
-/* Define if you have the openpty function.  */
+/* Define to 1 if you have the `openpty' function. */
 #undef HAVE_OPENPTY
 
-/* Define if you have the revoke function.  */
+/* Define to 1 if you have the `revoke' function. */
 #undef HAVE_REVOKE
 
-/* Define if you have the seteuid function.  */
+/* Define to 1 if you have the `seteuid' function. */
 #undef HAVE_SETEUID
 
-/* Define if you have the setpgid function.  */
+/* Define if plain old setlocale works */
+#undef HAVE_SETLOCALE
+
+/* Define to 1 if you have the `setpgid' function. */
 #undef HAVE_SETPGID
 
-/* Define if you have the setpgrp function.  */
+/* Define to 1 if you have the `setpgrp' function. */
 #undef HAVE_SETPGRP
 
-/* Define if you have the setreuid function.  */
+/* Define to 1 if you have the `setreuid' function. */
 #undef HAVE_SETREUID
 
-/* Define if you have the setsid function.  */
+/* Define to 1 if you have the `setsid' function. */
 #undef HAVE_SETSID
 
-/* Define if you have the setutent function.  */
+/* Define to 1 if you have the `setutent' function. */
 #undef HAVE_SETUTENT
 
-/* Define if you have the ttyslot function.  */
-#undef HAVE_TTYSLOT
-
-/* Define if you have the unlockpt function.  */
-#undef HAVE_UNLOCKPT
-
-/* Define if you have the unsetenv function.  */
-#undef HAVE_UNSETENV
-
-/* Define if you have the updwtmp function.  */
-#undef HAVE_UPDWTMP
-
-/* Define if you have the <X11/Xft/Xft.h> header file.  */
-#undef HAVE_X11_XFT_XFT_H
-
-/* Define if you have the <assert.h> header file.  */
-#undef HAVE_ASSERT_H
-
-/* Define if you have the <dlfcn.h> header file.  */
-#undef HAVE_DLFCN_H
+/* Define to 1 if you have the <stdarg.h> header file. */
+#undef HAVE_STDARG_H
 
-/* Define if you have the <fcntl.h> header file.  */
-#undef HAVE_FCNTL_H
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
 
-/* Define if you have the <grp.h> header file.  */
-#undef HAVE_GRP_H
+/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
 
-/* Define if you have the <lastlog.h> header file.  */
-#undef HAVE_LASTLOG_H
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
 
-/* Define if you have the <libc.h> header file.  */
-#undef HAVE_LIBC_H
+/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H
 
-/* Define if you have the <stdarg.h> header file.  */
-#undef HAVE_STDARG_H
+/* Define if utmp.h or lastlog.h has struct lastlog */
+#undef HAVE_STRUCT_LASTLOG
 
-/* Define if you have the <stdint.h> header file.  */
-#undef HAVE_STDINT_H
+/* Define if utmpx.h or lastlog.h has struct lastlogx */
+#undef HAVE_STRUCT_LASTLOGX
 
-/* Define if you have the <stdlib.h> header file.  */
-#undef HAVE_STDLIB_H
+/* Define if utmp.h has struct utmp */
+#undef HAVE_STRUCT_UTMP
 
-/* Define if you have the <string.h> header file.  */
-#undef HAVE_STRING_H
+/* Define if utmpx.h has struct utmpx */
+#undef HAVE_STRUCT_UTMPX
 
-/* Define if you have the <sys/byteorder.h> header file.  */
+/* Define to 1 if you have the <sys/byteorder.h> header file. */
 #undef HAVE_SYS_BYTEORDER_H
 
-/* Define if you have the <sys/ioctl.h> header file.  */
+/* Define to 1 if you have the <sys/ioctl.h> header file. */
 #undef HAVE_SYS_IOCTL_H
 
-/* Define if you have the <sys/select.h> header file.  */
+/* Define to 1 if you have the <sys/select.h> header file. */
 #undef HAVE_SYS_SELECT_H
 
-/* Define if you have the <sys/sockio.h> header file.  */
+/* Define to 1 if you have the <sys/sockio.h> header file. */
 #undef HAVE_SYS_SOCKIO_H
 
-/* Define if you have the <sys/stropts.h> header file.  */
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define to 1 if you have the <sys/stropts.h> header file. */
 #undef HAVE_SYS_STROPTS_H
 
-/* Define if you have the <sys/strredir.h> header file.  */
+/* Define to 1 if you have the <sys/strredir.h> header file. */
 #undef HAVE_SYS_STRREDIR_H
 
-/* Define if you have the <sys/time.h> header file.  */
+/* Define to 1 if you have the <sys/time.h> header file. */
 #undef HAVE_SYS_TIME_H
 
-/* Define if you have the <termios.h> header file.  */
+/* Define to 1 if you have the <sys/types.h> header file. */
+#undef HAVE_SYS_TYPES_H
+
+/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
+#undef HAVE_SYS_WAIT_H
+
+/* Define to 1 if you have the <termios.h> header file. */
 #undef HAVE_TERMIOS_H
 
-/* Define if you have the <unistd.h> header file.  */
+/* Define to 1 if you have the `ttyslot' function. */
+#undef HAVE_TTYSLOT
+
+/* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
-/* Define if you have the <utmp.h> header file.  */
-#undef HAVE_UTMP_H
+/* Define to 1 if you have the `unlockpt' function. */
+#undef HAVE_UNLOCKPT
 
-/* Define if you have the <utmpx.h> header file.  */
-#undef HAVE_UTMPX_H
+/* Define to 1 if you have the `unsetenv' function. */
+#undef HAVE_UNSETENV
 
-/* Define if you have the Xft library (-lXft).  */
-#undef HAVE_LIBXFT
+/* Define to 1 if you have the `updwtmp' function. */
+#undef HAVE_UPDWTMP
 
-/* Build shared library version - specify via configure only */
-#undef LIBRXVT
+/* Define to 1 if you have the <utmpx.h> header file. */
+#undef HAVE_UTMPX_H
 
-/* Define if you want the depth of scrollbars and menus to be less */
-#undef HALFSHADOW
+/* Define if struct utmpx contains ut_host */
+#undef HAVE_UTMPX_HOST
 
-/* Define to change gid of ttys to group tty */
-#undef TTY_GID_SUPPORT
+/* Define to 1 if you have the <utmp.h> header file. */
+#undef HAVE_UTMP_H
 
-/* Define if you don't want support for the backspace key */
-#undef NO_BACKSPACE_KEY
+/* Define if struct utmp contains ut_host */
+#undef HAVE_UTMP_HOST
 
-/* Define if you don't want support for the (non-keypad) delete key */
-#undef NO_DELETE_KEY
+/* Define if struct utmp contains ut_pid */
+#undef HAVE_UTMP_PID
 
-/* Define if you don't want any resources read */
-#undef NO_RESOURCES
+/* Define to 1 if you have the <X11/Xft/Xft.h> header file. */
+#undef HAVE_X11_XFT_XFT_H
 
-/* Define if you want to use XGetDefault instead of our internal version */
-#undef USE_XGETDEFAULT
+/* Define if Xlocale support works */
+#undef HAVE_XLOCALE
 
-/* Fallback resource class */
-#undef RESFALLBACK
+/* Define if you have XPointer typedef */
+#undef HAVE_XPOINTER
 
-/* Default resource name */
-#undef RESNAME
+/* Define if setlocale (defined to Xsetlocale) works */
+#undef HAVE_XSETLOCALE
 
-/* Resource class */
-#undef RESCLASS
+/* Define to 1 if you have the `_getpty' function. */
+#undef HAVE__GETPTY
 
-/* Binary base name */
-#undef RXVTNAME
+/* Define if you want ISO 14755 extended support */
+#undef ISO_14755
 
-/* Disable the secondary screen. Many programs use the secondary screen as their workplace */
-#undef NO_SECONDARY_SCREEN
+/* Define if lastlog is provided via a directory */
+#undef LASTLOG_IS_DIR
 
-/* Define to use smart resize behavior */
-#undef SMART_RESIZE
+/* Define if you want to have lastlog support when utmp/utmpx is enabled */
+#undef LASTLOG_SUPPORT
 
-/* Set TERM to the value given by configure */
-#undef TERMENV
+/* Build shared library version - specify via configure only */
+#undef LIBRXVT
 
-/* Set TERMINFO value to the value given by configure */
-#undef RXVT_TERMINFO
+/* Define if you want Menubar support */
+#undef MENUBAR
 
-/* Define if you need function prototypes */
-#undef PROTOTYPES
+/* Define to have CTRL cause wheel events to accelerate scrolling. Release
+   CTRL to halt scrolling */
+#undef MOUSE_SLIP_WHEELING
 
-/* Define if you include <X11/xpm.h> on a normal include path (be careful) */
-#undef XPM_INC_X11
+/* Define to use wheel events (button4 and button5) to scroll */
+#undef MOUSE_WHEEL
 
-/* Define if you have XPointer typedef */
-#undef HAVE_XPOINTER
+/* Support NeXT style scrollbars */
+#undef NEXT_SCROLLBAR
 
-/* Define if utmp.h has struct utmp */
-#undef HAVE_STRUCT_UTMP
+/* Define if you don't want support for the backspace key */
+#undef NO_BACKSPACE_KEY
 
-/* Define if struct utmp contains ut_host */
-#undef HAVE_UTMP_HOST
+/* Define if you don't want support for the (non-keypad) delete key */
+#undef NO_DELETE_KEY
 
-/* Define if struct utmp contains ut_pid */
-#undef HAVE_UTMP_PID
+/* Define if you don't want support linespace */
+#undef NO_LINESPACE
 
-/* Define if utmpx.h has struct utmpx */
-#undef HAVE_STRUCT_UTMPX
+/* Define if you don't want any resources read */
+#undef NO_RESOURCES
 
-/* Define if struct utmpx contains ut_host */
-#undef HAVE_UTMPX_HOST
+/* Define for continual scrolling when you keep the scrollbar button pressed
+   */
+#undef NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING
 
-/* Define if utmp.h or lastlog.h has struct lastlog */
-#undef HAVE_STRUCT_LASTLOG
+/* Disable the secondary screen. Many programs use the secondary screen as
+   their workplace */
+#undef NO_SECONDARY_SCREEN
 
-/* Define if utmpx.h or lastlog.h has struct lastlogx */
-#undef HAVE_STRUCT_LASTLOGX
+/* Define if you don't need to use our replacement string functions */
+#undef NO_STRINGS
 
-/* Define location of utmp */
-#undef RXVT_UTMP_FILE
+/* Define if you want faded colors when focus is lost */
+#undef OFF_FOCUS_FADING
 
-/* Define location of utmpx */
-#undef RXVT_UTMPX_FILE
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
 
-/* Define location of wtmp */
-#undef RXVT_WTMP_FILE
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
 
-/* Define location of wtmpx */
-#undef RXVT_WTMPX_FILE
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
 
-/* Define location of lastlog */
-#undef RXVT_LASTLOG_FILE
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
 
-/* Define if lastlog is provided via a directory */
-#undef LASTLOG_IS_DIR
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
 
-/* Define location of lastlogx */
-#undef RXVT_LASTLOGX_FILE
+/* Support plain style scrollbars */
+#undef PLAIN_SCROLLBAR
 
-/* Define location of ttys/ttytab */
-#undef TTYTAB_FILENAME
+/* Define if you want hide the pointer while typing */
+#undef POINTER_BLANK
 
-/* Define if Xlocale support works */
-#undef HAVE_XLOCALE
+/* Define to use a 24 bit visual if the screen has 24 bit mode */
+#undef PREFER_24BIT
 
-/* Define if setlocale (defined to Xsetlocale) works */
-#undef HAVE_XSETLOCALE
+/* Define if you need function prototypes */
+#undef PROTOTYPES
 
-/* Define if plain old setlocale works */
-#undef HAVE_SETLOCALE
+/* Define for first char in devptyXX */
+#undef PTYCHAR1
 
-/* Define if nl_langinfo(CODESET) works */
-#undef HAVE_NL_LANGINFO
+/* Define for second char in devptyXX */
+#undef PTYCHAR2
 
-/* Define if your XIMCallback specifies XIC as first type. */
-#undef XIMCB_PROTO_BROKEN
+/* Define for this pty type */
+#undef PTYS_ARE_CLONE
 
-/* Define if you have _GNU_SOURCE getpt()  */
-#undef HAVE_GETPT
+/* Define for this pty type */
+#undef PTYS_ARE_GETPT
 
 /* Define for this pty type */
-#undef PTYS_ARE_OPENPTY
+#undef PTYS_ARE_GETPTY
 
 /* Define for this pty type */
 #undef PTYS_ARE_NUMERIC
 
 /* Define for this pty type */
-#undef PTYS_ARE_PTMX
+#undef PTYS_ARE_OPENPTY
 
 /* Define for this pty type */
 #undef PTYS_ARE_PTC
 
 /* Define for this pty type */
-#undef PTYS_ARE__GETPTY
+#undef PTYS_ARE_PTMX
 
 /* Define for this pty type */
-#undef PTYS_ARE_GETPTY
+#undef PTYS_ARE_SEARCHED
 
 /* Define for this pty type */
-#undef PTYS_ARE_GETPT
+#undef PTYS_ARE__GETPTY
 
-/* Define for this pty type */
-#undef PTYS_ARE_CLONE
+/* Resource class */
+#undef RESCLASS
 
-/* Define for this pty type */
-#undef PTYS_ARE_SEARCHED
+/* Fallback resource class */
+#undef RESFALLBACK
 
-/* Define for first char in devptyXX */
-#undef PTYCHAR1
+/* Default resource name */
+#undef RESNAME
 
-/* Define for second char in devptyXX */
-#undef PTYCHAR2
+/* Define as the return type of signal handlers (`int' or `void'). */
+#undef RETSIGTYPE
 
-/* Define to enable xft support */
-#undef XFT
+/* Binary base name */
+#undef RXVTNAME
 
-/* Define if you want bold and italic support */
-#undef ENABLE_STYLES
+/* Define location of lastlogx */
+#undef RXVT_LASTLOGX_FILE
 
-/* Define if you want ISO 14755 extended support */
-#undef ISO_14755
+/* Define location of lastlog */
+#undef RXVT_LASTLOG_FILE
 
-/* Define if you want 8 bit control sequences */
-#undef EIGHT_BIT_CONTROLS
+/* Support Rxvt original style scrollbars */
+#undef RXVT_SCROLLBAR
 
-/* Define if you want faded colors when focus is lost */
-#undef OFF_FOCUS_FADING
+/* Set TERMINFO value to the value given by configure */
+#undef RXVT_TERMINFO
 
-/* Define if you want your background to be tinted */
-#undef TINTING
+/* Define location of utmpx */
+#undef RXVT_UTMPX_FILE
 
-/* Define if you want your background to use the parent window background */
-#undef TRANSPARENT
+/* Define location of utmp */
+#undef RXVT_UTMP_FILE
 
-/* Define for continual scrolling when you keep the scrollbar button pressed */
-#undef NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING
+/* Define location of wtmpx */
+#undef RXVT_WTMPX_FILE
 
-/* Define to allow scrolling when the selection moves to the top or bottom of the screen */
+/* Define location of wtmp */
+#undef RXVT_WTMP_FILE
+
+/* Define to allow scrolling when the selection moves to the top or bottom of
+   the screen */
 #undef SELECTION_SCROLLING
 
-/* Define if you want Menubar support */
-#undef MENUBAR
+/* The size of a `int', as computed by sizeof. */
+#undef SIZEOF_INT
 
-/* Define if you want handling for rarely used but handy features */
-#undef ENABLE_FRILLS
+/* The size of a `int *', as computed by sizeof. */
+#undef SIZEOF_INT_P
 
-/* Define if you don't want support linespace */
-#undef NO_LINESPACE
+/* The size of a `long long', as computed by sizeof. */
+#undef SIZEOF_LONG_LONG
 
-/* Define to use a 24 bit visual if the screen has 24 bit mode */
-#undef PREFER_24BIT
+/* The size of a `short', as computed by sizeof. */
+#undef SIZEOF_SHORT
 
-/* Define to use wheel events (button4 and button5) to scroll */
-#undef MOUSE_WHEEL
+/* Define to use "smart" resize behavior */
+#undef SMART_RESIZE
 
-/* Define to have CTRL cause wheel events to accelerate scrolling. Release CTRL to halt scrolling */
-#undef MOUSE_SLIP_WHEELING
+/* Define to 1 if you have the ANSI C header files. */
+#undef STDC_HEADERS
 
-/* Define if you want to have utmp/utmpx support */
-#undef UTMP_SUPPORT
+/* Set TERM to the value given by configure */
+#undef TERMENV
 
-/* Define if you want to have wtmp support when utmp/utmpx is enabled */
-#undef WTMP_SUPPORT
+/* Define if you want blinking text support */
+#undef TEXT_BLINK
 
-/* Define if you want to have lastlog support when utmp/utmpx is enabled */
-#undef LASTLOG_SUPPORT
+/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
+#undef TIME_WITH_SYS_TIME
 
-/* Define if you want to have XIM (X Input Method) protocol support - required for multibyte characters input */
-#undef USE_XIM
+/* Define if you want your background to be tinted */
+#undef TINTING
 
-/* Define if you want to have sexy-looking background pixmaps. Needs libXpm */
-#undef XPM_BACKGROUND
+/* Define if you want your background to use the parent window background */
+#undef TRANSPARENT
 
-/* Support Rxvt original style scrollbars */
-#undef RXVT_SCROLLBAR
+/* Define location of ttys/ttytab */
+#undef TTYTAB_FILENAME
 
-/* Support NeXT style scrollbars */
-#undef NEXT_SCROLLBAR
+/* Define to change gid of ttys to group tty */
+#undef TTY_GID_SUPPORT
 
-/* Support Xterm style scrollbars */
-#undef XTERM_SCROLLBAR
+/* Define if you want to represent unicode characters outside plane 0 */
+#undef UNICODE_3
 
-/* Support plain style scrollbars */
-#undef PLAIN_SCROLLBAR
+/* Define if you want to use XGetDefault instead of our internal version */
+#undef USE_XGETDEFAULT
 
-/* Define if you want hide the pointer while typing */
-#undef POINTER_BLANK
+/* Define if you want to have XIM (X Input Method) protocol support - required
+   for multibyte characters input */
+#undef USE_XIM
 
-/* Define if you want blinking cursor support */
-#undef CURSOR_BLINK
+/* Define if you want to have utmp/utmpx support */
+#undef UTMP_SUPPORT
 
-/* Define if you want blinking text support */
-#undef TEXT_BLINK
+/* Define if you want to have wtmp support when utmp/utmpx is enabled */
+#undef WTMP_SUPPORT
 
-/* Define if you want to represent unicode characters outside plane 0 */
-#undef UNICODE_3
+/* Define to enable xft support */
+#undef XFT
 
-/* Define if you want to automatically compose combining characters */
-#undef ENABLE_COMBINING
+/* Define if your XIMCallback specifies XIC as first type. */
+#undef XIMCB_PROTO_BROKEN
 
-/* Define if you want european extended codesets */
-#undef ENCODING_EU
+/* Define if you want to have sexy-looking background pixmaps. Needs libXpm */
+#undef XPM_BACKGROUND
 
-/* Define if you want vietnamese codesets */
-#undef ENCODING_VN
+/* Define if you include <X11/xpm.h> on a normal include path (be careful) */
+#undef XPM_INC_X11
 
-/* Define if you want japanese codesets */
-#undef ENCODING_JP
+/* Support Xterm style scrollbars */
+#undef XTERM_SCROLLBAR
 
-/* Define if you want extended japanese codesets */
-#undef ENCODING_JP_EXT
+/* Define to 1 if the X Window System is missing or not being used. */
+#undef X_DISPLAY_MISSING
 
-/* Define if you want korean codesets */
-#undef ENCODING_KR
+/* Define to 1 if on AIX 3.
+   System headers sometimes define this.
+   We just want to avoid a redefinition error message.  */
+#ifndef _ALL_SOURCE
+# undef _ALL_SOURCE
+#endif
 
-/* Define if you want chinese codesets */
-#undef ENCODING_ZH
+/* Define to empty if `const' does not conform to ANSI C. */
+#undef const
 
-/* Define if you want extended chinese codesets */
-#undef ENCODING_ZH_EXT
+/* Define to `int' if <sys/types.h> doesn't define. */
+#undef gid_t
 
-/* Define if you don't need to use our replacement string functions */
-#undef NO_STRINGS
+/* Define to `__inline__' or `__inline' if that's what the C compiler
+   calls it, or to nothing if 'inline' is not supported under any name.  */
+#ifndef __cplusplus
+#undef inline
+#endif
+
+/* Define to `int' if <sys/types.h> does not define. */
+#undef mode_t
 
+/* Define to `int' if <sys/types.h> does not define. */
+#undef pid_t
+
+/* Define to `int' if <sys/types.h> doesn't define. */
+#undef uid_t
index 3259507..49415d4 100644 (file)
@@ -597,10 +597,9 @@ dnl> AC_CHECK_TYPE(off_t, long)
 AC_TYPE_PID_T
 AC_TYPE_UID_T
 
-AC_CHECK_SIZEOF(char, 1)
 AC_CHECK_SIZEOF(short, 2)
 AC_CHECK_SIZEOF(int, 4)
-AC_CHECK_SIZEOF(long, 4)
+dnl AC_CHECK_SIZEOF(long, 4)
 AC_CHECK_SIZEOF(long long, 8)
 AC_CHECK_SIZEOF(int *, 4)
 
index c9e8fd3..3a64534 100755 (executable)
--- a/configure
+++ b/configure
@@ -11782,821 +11782,9 @@ _ACEOF
 fi
 
 
-echo "$as_me:$LINENO: checking for char" >&5
-echo $ECHO_N "checking for char... $ECHO_C" >&6
-if test "${ac_cv_type_char+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-if ((char *) 0)
-  return 0;
-if (sizeof (char))
-  return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_type_char=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_type_char=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_type_char" >&5
-echo "${ECHO_T}$ac_cv_type_char" >&6
-
-echo "$as_me:$LINENO: checking size of char" >&5
-echo $ECHO_N "checking size of char... $ECHO_C" >&6
-if test "${ac_cv_sizeof_char+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test "$ac_cv_type_char" = yes; then
-  # The cast to unsigned long works around a bug in the HP C Compiler
-  # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
-  # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
-  # This bug is HP SR number 8606223364.
-  if test "$cross_compiling" = yes; then
-  # Depending upon the size, compute the lo and hi bounds.
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (char))) >= 0)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_lo=0 ac_mid=0
-  while :; do
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=$ac_mid; break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo=`expr $ac_mid + 1`
-                   if test $ac_lo -le $ac_mid; then
-                     ac_lo= ac_hi=
-                     break
-                   fi
-                   ac_mid=`expr 2 '*' $ac_mid + 1`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  done
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (char))) < 0)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=-1 ac_mid=-1
-  while :; do
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (char))) >= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_lo=$ac_mid; break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_hi=`expr '(' $ac_mid ')' - 1`
-                      if test $ac_mid -le $ac_hi; then
-                        ac_lo= ac_hi=
-                        break
-                      fi
-                      ac_mid=`expr 2 '*' $ac_mid`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  done
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo= ac_hi=
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-# Binary search between lo and hi bounds.
-while test "x$ac_lo" != "x$ac_hi"; do
-  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=$ac_mid
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo=`expr '(' $ac_mid ')' + 1`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-case $ac_lo in
-?*) ac_cv_sizeof_char=$ac_lo;;
-'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (char), 77
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; } ;;
-esac
-else
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-long longval () { return (long) (sizeof (char)); }
-unsigned long ulongval () { return (long) (sizeof (char)); }
-#include <stdio.h>
-#include <stdlib.h>
-int
-main ()
-{
-
-  FILE *f = fopen ("conftest.val", "w");
-  if (! f)
-    exit (1);
-  if (((long) (sizeof (char))) < 0)
-    {
-      long i = longval ();
-      if (i != ((long) (sizeof (char))))
-       exit (1);
-      fprintf (f, "%ld\n", i);
-    }
-  else
-    {
-      unsigned long i = ulongval ();
-      if (i != ((long) (sizeof (char))))
-       exit (1);
-      fprintf (f, "%lu\n", i);
-    }
-  exit (ferror (f) || fclose (f) != 0);
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_char=`cat conftest.val`
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-{ { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (char), 77
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-rm -f conftest.val
-else
-  ac_cv_sizeof_char=0
-fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
-echo "${ECHO_T}$ac_cv_sizeof_char" >&6
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_CHAR $ac_cv_sizeof_char
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking for short" >&5
-echo $ECHO_N "checking for short... $ECHO_C" >&6
-if test "${ac_cv_type_short+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-if ((short *) 0)
-  return 0;
-if (sizeof (short))
-  return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_type_short=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_type_short=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_type_short" >&5
-echo "${ECHO_T}$ac_cv_type_short" >&6
-
-echo "$as_me:$LINENO: checking size of short" >&5
-echo $ECHO_N "checking size of short... $ECHO_C" >&6
-if test "${ac_cv_sizeof_short+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test "$ac_cv_type_short" = yes; then
-  # The cast to unsigned long works around a bug in the HP C Compiler
-  # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
-  # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
-  # This bug is HP SR number 8606223364.
-  if test "$cross_compiling" = yes; then
-  # Depending upon the size, compute the lo and hi bounds.
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (short))) >= 0)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_lo=0 ac_mid=0
-  while :; do
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (short))) <= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=$ac_mid; break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo=`expr $ac_mid + 1`
-                   if test $ac_lo -le $ac_mid; then
-                     ac_lo= ac_hi=
-                     break
-                   fi
-                   ac_mid=`expr 2 '*' $ac_mid + 1`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  done
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (short))) < 0)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=-1 ac_mid=-1
-  while :; do
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (short))) >= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_lo=$ac_mid; break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_hi=`expr '(' $ac_mid ')' - 1`
-                      if test $ac_mid -le $ac_hi; then
-                        ac_lo= ac_hi=
-                        break
-                      fi
-                      ac_mid=`expr 2 '*' $ac_mid`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  done
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo= ac_hi=
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-# Binary search between lo and hi bounds.
-while test "x$ac_lo" != "x$ac_hi"; do
-  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long) (sizeof (short))) <= $ac_mid)];
-test_array [0] = 0
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_hi=$ac_mid
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_lo=`expr '(' $ac_mid ')' + 1`
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-case $ac_lo in
-?*) ac_cv_sizeof_short=$ac_lo;;
-'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (short), 77
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (short), 77
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; } ;;
-esac
-else
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-long longval () { return (long) (sizeof (short)); }
-unsigned long ulongval () { return (long) (sizeof (short)); }
-#include <stdio.h>
-#include <stdlib.h>
-int
-main ()
-{
-
-  FILE *f = fopen ("conftest.val", "w");
-  if (! f)
-    exit (1);
-  if (((long) (sizeof (short))) < 0)
-    {
-      long i = longval ();
-      if (i != ((long) (sizeof (short))))
-       exit (1);
-      fprintf (f, "%ld\n", i);
-    }
-  else
-    {
-      unsigned long i = ulongval ();
-      if (i != ((long) (sizeof (short))))
-       exit (1);
-      fprintf (f, "%lu\n", i);
-    }
-  exit (ferror (f) || fclose (f) != 0);
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_short=`cat conftest.val`
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-{ { echo "$as_me:$LINENO: error: cannot compute sizeof (short), 77
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (short), 77
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-rm -f conftest.val
-else
-  ac_cv_sizeof_short=0
-fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_short" >&5
-echo "${ECHO_T}$ac_cv_sizeof_short" >&6
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SHORT $ac_cv_sizeof_short
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking for int" >&5
-echo $ECHO_N "checking for int... $ECHO_C" >&6
-if test "${ac_cv_type_int+set}" = set; then
+echo "$as_me:$LINENO: checking for short" >&5
+echo $ECHO_N "checking for short... $ECHO_C" >&6
+if test "${ac_cv_type_short+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -12609,9 +11797,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((int *) 0)
+if ((short *) 0)
   return 0;
-if (sizeof (int))
+if (sizeof (short))
   return 0;
   ;
   return 0;
@@ -12638,24 +11826,24 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_int=yes
+  ac_cv_type_short=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_int=no
+ac_cv_type_short=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_int" >&5
-echo "${ECHO_T}$ac_cv_type_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_type_short" >&5
+echo "${ECHO_T}$ac_cv_type_short" >&6
 
-echo "$as_me:$LINENO: checking size of int" >&5
-echo $ECHO_N "checking size of int... $ECHO_C" >&6
-if test "${ac_cv_sizeof_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of short" >&5
+echo $ECHO_N "checking size of short... $ECHO_C" >&6
+if test "${ac_cv_sizeof_short+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test "$ac_cv_type_int" = yes; then
+  if test "$ac_cv_type_short" = yes; then
   # The cast to unsigned long works around a bug in the HP C Compiler
   # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
   # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
@@ -12672,7 +11860,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (int))) >= 0)];
+static int test_array [1 - 2 * !(((long) (sizeof (short))) >= 0)];
 test_array [0] = 0
 
   ;
@@ -12712,7 +11900,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (int))) <= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (short))) <= $ac_mid)];
 test_array [0] = 0
 
   ;
@@ -12768,7 +11956,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (int))) < 0)];
+static int test_array [1 - 2 * !(((long) (sizeof (short))) < 0)];
 test_array [0] = 0
 
   ;
@@ -12808,7 +11996,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (int))) >= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (short))) >= $ac_mid)];
 test_array [0] = 0
 
   ;
@@ -12872,7 +12060,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (int))) <= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (short))) <= $ac_mid)];
 test_array [0] = 0
 
   ;
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 done
 case $ac_lo in
-?*) ac_cv_sizeof_int=$ac_lo;;
-'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (int), 77
+?*) ac_cv_sizeof_short=$ac_lo;;
+'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (short), 77
 See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (int), 77
+echo "$as_me: error: cannot compute sizeof (short), 77
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
@@ -12930,8 +12118,8 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-long longval () { return (long) (sizeof (int)); }
-unsigned long ulongval () { return (long) (sizeof (int)); }
+long longval () { return (long) (sizeof (short)); }
+unsigned long ulongval () { return (long) (sizeof (short)); }
 #include <stdio.h>
 #include <stdlib.h>
 int
@@ -12941,17 +12129,17 @@ main ()
   FILE *f = fopen ("conftest.val", "w");
   if (! f)
     exit (1);
-  if (((long) (sizeof (int))) < 0)
+  if (((long) (sizeof (short))) < 0)
     {
       long i = longval ();
-      if (i != ((long) (sizeof (int))))
+      if (i != ((long) (sizeof (short))))
        exit (1);
       fprintf (f, "%ld\n", i);
     }
   else
     {
       unsigned long i = ulongval ();
-      if (i != ((long) (sizeof (int))))
+      if (i != ((long) (sizeof (short))))
        exit (1);
       fprintf (f, "%lu\n", i);
     }
@@ -12972,16 +12160,16 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_int=`cat conftest.val`
+  ac_cv_sizeof_short=`cat conftest.val`
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-{ { echo "$as_me:$LINENO: error: cannot compute sizeof (int), 77
+{ { echo "$as_me:$LINENO: error: cannot compute sizeof (short), 77
 See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (int), 77
+echo "$as_me: error: cannot compute sizeof (short), 77
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 fi
 fi
 rm -f conftest.val
 else
-  ac_cv_sizeof_int=0
+  ac_cv_sizeof_short=0
 fi
 fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_short" >&5
+echo "${ECHO_T}$ac_cv_sizeof_short" >&6
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_INT $ac_cv_sizeof_int
+#define SIZEOF_SHORT $ac_cv_sizeof_short
 _ACEOF
 
 
-echo "$as_me:$LINENO: checking for long" >&5
-echo $ECHO_N "checking for long... $ECHO_C" >&6
-if test "${ac_cv_type_long+set}" = set; then
+echo "$as_me:$LINENO: checking for int" >&5
+echo $ECHO_N "checking for int... $ECHO_C" >&6
+if test "${ac_cv_type_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -13015,9 +12203,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((long *) 0)
+if ((int *) 0)
   return 0;
-if (sizeof (long))
+if (sizeof (int))
   return 0;
   ;
   return 0;
@@ -13044,24 +12232,24 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_long=yes
+  ac_cv_type_int=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_long=no
+ac_cv_type_int=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
-echo "${ECHO_T}$ac_cv_type_long" >&6
+echo "$as_me:$LINENO: result: $ac_cv_type_int" >&5
+echo "${ECHO_T}$ac_cv_type_int" >&6
 
-echo "$as_me:$LINENO: checking size of long" >&5
-echo $ECHO_N "checking size of long... $ECHO_C" >&6
-if test "${ac_cv_sizeof_long+set}" = set; then
+echo "$as_me:$LINENO: checking size of int" >&5
+echo $ECHO_N "checking size of int... $ECHO_C" >&6
+if test "${ac_cv_sizeof_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test "$ac_cv_type_long" = yes; then
+  if test "$ac_cv_type_int" = yes; then
   # The cast to unsigned long works around a bug in the HP C Compiler
   # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
   # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
@@ -13078,7 +12266,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
+static int test_array [1 - 2 * !(((long) (sizeof (int))) >= 0)];
 test_array [0] = 0
 
   ;
@@ -13118,7 +12306,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (int))) <= $ac_mid)];
 test_array [0] = 0
 
   ;
@@ -13174,7 +12362,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
+static int test_array [1 - 2 * !(((long) (sizeof (int))) < 0)];
 test_array [0] = 0
 
   ;
@@ -13214,7 +12402,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (int))) >= $ac_mid)];
 test_array [0] = 0
 
   ;
@@ -13278,7 +12466,7 @@ $ac_includes_default
 int
 main ()
 {
-static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
+static int test_array [1 - 2 * !(((long) (sizeof (int))) <= $ac_mid)];
 test_array [0] = 0
 
   ;
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 done
 case $ac_lo in
-?*) ac_cv_sizeof_long=$ac_lo;;
-'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
+?*) ac_cv_sizeof_int=$ac_lo;;
+'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (int), 77
 See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (long), 77
+echo "$as_me: error: cannot compute sizeof (int), 77
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
@@ -13336,8 +12524,8 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-long longval () { return (long) (sizeof (long)); }
-unsigned long ulongval () { return (long) (sizeof (long)); }
+long longval () { return (long) (sizeof (int)); }
+unsigned long ulongval () { return (long) (sizeof (int)); }
 #include <stdio.h>
 #include <stdlib.h>
 int
@@ -13347,17 +12535,17 @@ main ()
   FILE *f = fopen ("conftest.val", "w");
   if (! f)
     exit (1);
-  if (((long) (sizeof (long))) < 0)
+  if (((long) (sizeof (int))) < 0)
     {
       long i = longval ();
-      if (i != ((long) (sizeof (long))))
+      if (i != ((long) (sizeof (int))))
        exit (1);
       fprintf (f, "%ld\n", i);
     }
   else
     {
       unsigned long i = ulongval ();
-      if (i != ((long) (sizeof (long))))
+      if (i != ((long) (sizeof (int))))
        exit (1);
       fprintf (f, "%lu\n", i);
     }
@@ -13378,16 +12566,16 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_long=`cat conftest.val`
+  ac_cv_sizeof_int=`cat conftest.val`
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-{ { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
+{ { echo "$as_me:$LINENO: error: cannot compute sizeof (int), 77
 See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (long), 77
+echo "$as_me: error: cannot compute sizeof (int), 77
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 fi
 fi
 rm -f conftest.val
 else
-  ac_cv_sizeof_long=0
+  ac_cv_sizeof_int=0
 fi
 fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
-echo "${ECHO_T}$ac_cv_sizeof_long" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_int" >&6
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_LONG $ac_cv_sizeof_long
+#define SIZEOF_INT $ac_cv_sizeof_int
 _ACEOF
 
 
index 4956f71..bc081f5 100644 (file)
@@ -164,8 +164,15 @@ resource B<borderColor>.
 Select the fonts to be used. This is a comma separated list of font names
 that are used in turn when trying to display Unicode characters.  The
 first font defines the cell size for characters; other fonts might be
-smaller, but not (in general) larger. A reasonable default font list is
-always appended to it. See resource B<font> for details.
+smaller, but not (in general) larger. A (hopefully) reasonable default
+font list is always appended to it. See resource B<font> for more details.
+
+In short, to specify an X11 core font, just specify it's name or prefix it
+with C<x:>. To specify an XFT-font, you need to prefix it with C<xft:>,
+e.g.:
+
+   @@RXVT_NAME@@ -fn "xft:Bitstream Vera Sans Mono:pixelsize=15"
+   @@RXVT_NAME@@ -fn "9x15bold,xft:Bitstream Vera Sans Mono"
 
 See also the question "How does rxvt-unicode choose fonts?" in the FAQ
 section of @@RXVT_NAME@@(7).
@@ -234,6 +241,14 @@ Put scrollbar on right/left; resource B<scrollBar_right>.
 Display normal (non XTerm/NeXT) scrollbar without/with a trough;
 resource B<scrollBar_floating>.
 
+=item B<-ptab>|B<+ptab>
+
+If enabled (default), "Horizontal Tab" characters are being stored as
+actual wide characters in the screen buffer, which makes it possible to
+select and paste them. Since a horizontal tab is a cursor movement and
+not an actual glyph, this can sometimes be visually annoying as the cursor
+on a tab character is displayed as a wide cursor; resource B<pastableTabs>.
+
 =item B<-bc>|B<+bc>
 
 Blink the cursor; resource B<cursorBlink>.
@@ -535,7 +550,7 @@ the iso8859-1 version of the second font), which is the base font (because
 it is named first) and thus defines the character cell grid to be 9 pixels
 wide and 15 pixels high.
 
-the second font is just used to add additional unicode characters not in
+The second font is just used to add additional unicode characters not in
 the base font, likewise the third, which is unfortunately non-bold, but
 the bold version of the font does contain less characters, so this is a
 useful supplement.
@@ -698,6 +713,11 @@ handle Meta (Alt) + keypress as an escape prefix [default].
 B<True>: the mouse wheel scrolls a page full. B<False>: the mouse wheel
 scrolls five lines [default].
 
+=item B<pastableTabs:> I<boolean>
+
+B<True>: store tabs as wide characters. B<False>: interpret tabs as cursor
+movement only; option C<-ptab>.
+
 =item B<cursorBlink:> I<boolean>
 
 B<True>: blink the cursor. B<False>: do not blink the cursor [default];
index 88913e1..3f602fe 100644 (file)
@@ -345,7 +345,7 @@ rxvt_font_default::draw (rxvt_drawable &d, int x, int y,
           uint32_t *a = linedraw_command + (offs >> 4);
           uint32_t *b = a + (offs & 15);
 
-          int W = r->TermWin.fwidth;
+          int W = r->TermWin.fwidth * wcwidth (t);
           int H = r->TermWin.fheight;
 
           int x_[16];
@@ -1058,7 +1058,8 @@ rxvt_font_xft::load (const rxvt_fontprop &prop)
   FcValue v;
 
   if (prop.height != rxvt_fontprop::unset
-      || FcPatternGet (p, FC_PIXEL_SIZE, 0, &v) != FcResultMatch)
+      || (FcPatternGet (p, FC_PIXEL_SIZE, 0, &v) != FcResultMatch
+          && FcPatternGet (p, FC_SIZE, 0, &v) != FcResultMatch))
     FcPatternAddInteger (p, FC_PIXEL_SIZE, prop.height);
 
   if (prop.weight != rxvt_fontprop::unset